Bug 500535 - /etc/init.d/named script kills all process named 'named'.
/etc/init.d/named script kills all process named 'named'.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Adam Tkac
Martin Cermak
:
Depends On:
Blocks: 622785 657260
  Show dependency treegraph
 
Reported: 2009-05-13 03:46 EDT by leiqunni
Modified: 2012-07-27 09:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, initscript killed all processes with the name "named" when stopping the named daemon. With this update, initscript kills only the selected one.
Story Points: ---
Clone Of:
: 622785 (view as bug list)
Environment:
Last Closed: 2011-01-13 17:24:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (2.21 KB, patch)
2009-06-09 09:15 EDT, Adam Tkac
no flags Details | Diff

  None (edit)
Description leiqunni 2009-05-13 03:46:18 EDT
Description of problem:
/etc/init.d/named script kills all process named 'named'.
it's problem on using OpenVZ etc.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. start guest os on OpenVZ.
2. execute /etc/init.d/named stop on host os.
  
Actual results:
guest os's named is killed.

Expected results:


Additional info:
Comment 1 Adam Tkac 2009-06-09 09:15:42 EDT
Created attachment 347021 [details]
proposed patch

Would it be possible to test proposed patch, please?
Comment 2 RHEL Product and Program Management 2009-11-06 13:47:21 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 Florian Nadge 2010-10-11 04:58:44 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, initscript killed all processes with the name "named" when stopping the named daemon. With this update, initscript kills only the selected one.
Comment 8 Martin Cermak 2010-10-20 12:13:56 EDT
Tests passed. Switching to VERIFIED.
Comment 9 Martin Cermak 2010-11-09 03:51:16 EST
Performing re-verification after rebase...
Comment 11 Martin Cermak 2010-11-10 05:19:22 EST
Comment #10 => VERIFIED
Comment 13 errata-xmlrpc 2011-01-13 17:24:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0032.html

Note You need to log in before you can comment on or make changes to this bug.